Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty Class Reference

Field criterion handler. More...

Inheritance diagram for eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty:

## Public Member Functions
| __construct (DatabaseHandler $dbHandler, ContentTypeHandler $contentTypeHandler, LanguageHandler $languageHandler, Registry $fieldConverterRegistry, FieldTypeService $fieldTypeService)
| accept (Criterion $criterion)
| Check if this criterion handler accepts to handle the given criterion. More...
| handle (CriteriaConverter $converter, SelectQuery $query, Criterion $criterion, array $languageSettings)
| Generate query expression for a Criterion this handler accepts. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldBase
| __construct (DatabaseHandler $dbHandler, ContentTypeHandler $contentTypeHandler, LanguageHandler $languageHandler)
| Construct from handler handler. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler
| __construct (DatabaseHandler $dbHandler)
| Creates a new criterion handler. More...

## Protected Member Functions
| getFieldsInformation (string $fieldIdentifier)
| Returns relevant field information for the specified field. More...
Protected Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldBase
| getFieldCondition (SelectQuery $query, array $languageSettings)
| Returns a field language join condition for the given $languageSettings. More...
| getInExpressionWithFieldConditions (SelectQuery $query, SelectQuery $subSelect, array $languageSettings, array $fieldWhereExpressions, array $fieldsInformation)
Protected Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler
| getUniqueTableName ()
| Returns a unique table name. More...

## Protected Attributes
| $fieldConverterRegistry
| $fieldTypeService
Protected Attributes inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldBase
| $contentTypeHandler
| $languageHandler
Protected Attributes inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler
| $comparatorMap
| $dbHandler

## Detailed Description

Field criterion handler.

Definition at line 25 of file FieldEmpty.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty::__construct | ( | DatabaseHandler | $dbHandler,
|  | ContentTypeHandler | $contentTypeHandler,
|  | LanguageHandler | $languageHandler,
|  | Registry | $fieldConverterRegistry,
|  | FieldTypeService | $fieldTypeService
| ) |  |

Definition at line 39 of file FieldEmpty.php.

References eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldBase\$contentTypeHandler, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\$dbHandler, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty\$fieldConverterRegistry, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty\$fieldTypeService, and eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldBase\$languageHandler.

## Member Function Documentation

## ◆ accept()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty::accept | ( | Criterion | $criterion | ) |

Check if this criterion handler accepts to handle the given criterion.

Reimplemented from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler.

Definition at line 55 of file FieldEmpty.php.

## ◆ getFieldsInformation()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty::getFieldsInformation | ( | string | $fieldIdentifier | ) |
| protected

Returns relevant field information for the specified field.

Returns an array of the attribute, identifier and the sort column, which should be used.

Exceptions

Definition at line 70 of file FieldEmpty.php.

## ◆ handle()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty::handle | ( | CriteriaConverter | $converter,
|  | SelectQuery | $query,
|  | Criterion | $criterion,
|  | array | $languageSettings
| ) |  |

Generate query expression for a Criterion this handler accepts.

accept() must be called before calling this method.

Exceptions

Reimplemented from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler.

Definition at line 109 of file FieldEmpty.php.

## Member Data Documentation

## ◆ $fieldConverterRegistry

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty::$fieldConverterRegistry
| protected

Definition at line 32 of file FieldEmpty.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty\__construct().

## ◆ $fieldTypeService

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty::$fieldTypeService
| protected

Definition at line 37 of file FieldEmpty.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldEmpty\__construct().

The documentation for this class was generated from the following file:

- FieldEmpty.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.